GET
/
v2
/
classifications
/
{classification_id}
Get one classification result
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/classifications/{classification_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "classification_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "watches": [
    {
      "brand": "<string>",
      "model": "<string>",
      "reference": "<string>",
      "year": "<string>",
      "price_amount": 123,
      "currency_code": "<string>",
      "expected_price_usd": 123,
      "full_set_status": [],
      "variant": "<string>",
      "dial_type": "<string>"
    }
  ],
  "legacy_output": {
    "watches": [
      {
        "brand": "<string>",
        "model": "<string>",
        "reference": "<string>",
        "year": "<string>",
        "price_amount": 123,
        "currency_code": "<string>",
        "expected_price_usd": 123,
        "full_set_status": [],
        "variant": "<string>",
        "dial_type": "<string>"
      }
    ]
  },
  "normalized_output": {
    "watches": [
      {
        "brand": "<string>",
        "model": "<string>",
        "reference": "<string>",
        "year": "<string>",
        "price_amount": 123,
        "currency_code": "<string>",
        "expected_price_usd": 123,
        "full_set_status": [],
        "variant": "<string>",
        "dial_type": "<string>"
      }
    ]
  },
  "completed_at_ms": 123,
  "created_at_ms": 123,
  "extraction_output": {},
  "raw_model_response": {},
  "model_profile_id": "<string>",
  "model_id": "<string>",
  "prompt_bundle_version": "<string>",
  "latency_ms": 123,
  "input_tokens": 123,
  "output_tokens": 123,
  "total_tokens": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

classification_id
string<uuid>
required

Response

Classification detail.

id
string<uuid>
required
canonical_message_id
string<uuid>
required
classification_job_id
string<uuid>
required
message_type
enum<string>
required
Available options:
buying,
selling,
personal
watches
object[]
required
legacy_output
object
required
normalized_output
object
required
completed_at_ms
integer<int64>
required
created_at_ms
integer<int64>
required
extraction_output
object

Rich watch extraction envelope with document context, source spans, inherited context, field evidence and validation warnings.

raw_model_response
object

Raw structured provider response when it is a JSON object.

connector_id
enum<string>
Available options:
openai,
anthropic,
gemini,
openrouter,
openai_compatible
model_profile_id
string
model_id
string
schema_mode
enum<string>
Available options:
json_schema,
tool_schema,
json_object
prompt_bundle_version
string
latency_ms
integer
input_tokens
integer
output_tokens
integer
total_tokens
integer